%global src_name jaraco.path

Summary:        Miscellaneous path functions
Name:           python-jaraco-path
Version:        3.7.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/jaraco/jaraco.path
Source0:        https://files.pythonhosted.org/packages/source/j/%{src_name}/%{src_name}-%{version}.tar.gz

BuildRequires:  python3-devel pyproject-rpm-macros pytest
BuildArch:      noarch

%description
jaraco.path provides cross platform hidden file detection

%package -n     python3-jaraco-path
Summary:        Miscellaneous path functions
Requires:       python3-jaraco

%description -n python3-jaraco-path
jaraco.path provides cross platform hidden file detection

%prep
%autosetup -p1 -n %{src_name}-%{version}

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires -r

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jaraco

%check
%pytest

%files -n python3-jaraco-path -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 jackeyji <jackeyji@tencent.com> - 3.7.0-1
- upgrade to 3.7.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 Shuo Wang <abushwang@tencent.com> - 3.3.1-1
- initial build
